Subject: Re: [Dime] draft reply LS to 3GPP SA5 on RFC 4006..

From: jouni korhonen <[email-masked]>
Date: Fri, 16 Sep 2016 13:47:14 -0700

Folks,

I updated the draft LS based on the input. See below and comment.

- Jouni

-------------------------------------------------------------------------------
The IETF DIME WG thanks the 3GPP SA5 WG for their LS and query regarding the
IETF RFC 4006 (https://datatracker.ietf.org/liaison/1470/).

The IETF DIME WG has discussed both options raised in the LS from 3GPP SA5:
1) Is IETF RFC 4006 planned to be updated in order to rely on IETF RFC 6733
   as the new Diameter Base protocol?
2) If not, are there any recommendations from IETF on how to address the
   implicit reference to IETF RFC 3588 as Diameter Base Protocol for 3GPP
   SA5 Diameter Online charging through use of IETF RFC 4006?

and the decision was made to update of the IETF RFC 4006 as per the
option 1). The aim of this update is to align the Diameter Credit-Control
application specification with the IETF RFC 6733, fix existing known issues
in the current specification and comply with the recommendations given in
the IETF RFC 7423 on the design of Diameter application. The time line for
the completion of the RFC 4006 update is set to November 2017.

As a reminder, the IETF RFC 6733 does not define a new Diameter base
protocol
but is a new version of the specification defining the Diameter base
protocol.
The IETF RFC 3588 is obsoleted by the IETF RFC 6733, as defined in the IETF
RFC 2223:

   Obsoleted-by

      To be used to refer to the newer document(s) that replaces the
      older document.

In the present case, any document using the IETF RFC 3588 as reference for
the Diameter base protocol should be updated to refer to the new IETF RFC
6733. Therefore, as a general guideline, the IETF DIME WG recommends 3GPP
WGs to follow this recommendation in their specifications when applicable.
The same recommendation will apply for the revision of the IETF RFC 4006
when published by the IETF as for any new RFC obsoleting an old RFC.
-------------------------------------------------------------------------------

On Fri, Aug 5, 2016 at 10:41 AM, Jouni Korhonen <[email-masked]>
wrote:

> Folks,
>
> Lionel and I have been drafting a reply LS to 3GPP SA5 (and CC CT3/CT4).
> This is the current draft. Comments are welcome. One question is (Lionel
> favours, I disagree ;) whether we should repeat the two questions 3GPP
> asked from us or assume they can look it up from the origial LS.
>
> - Jouni & Lionel
>
> -------------------------------------------------------------------------
> The IETF DIME WG thanks the 3GPP SA5 WG for their LS and query regarding
> the IETF RFC 4006 (https://datatracker.ietf.org/liaison/1470/).
>
> The IETF DIME WG has discussed both options raised in the LS from 3GPP SA5
> and the decision was made to update of the IETF RFC 4006 (the option 1).
> The aim of this update is to align the Diameter Credit-Control application
> specification with the IETF RFC 6733, fix existing known issues in the
> current specification and comply with the recommendations given in the IETF
> RFC 7423 on the design of Diameter application. The time line for the
> completion of the RFC 4006 update is set to November 2017.
>
> As a reminder, the IETF RFC 3588 does not define a new Diameter base
> protocol but is a new version of the specification defining the Diameter
> base protocol. The IETF RFC 3588 is obsoleted by the IETF RFC 6733, as
> defined in the IETF RFC 2223:
>
>    Obsoleted-by
>
>       To be used to refer to the newer document(s) that replaces the
>       older document.
>
> In the present case, any document using the IETF RFC 3588 as reference for
> the Diameter base protocol should be updated to refer to the new IETF RFC
> 6733. Therefore, as a general guideline, the IETF DIME WG recommends 3GPP
> WGs to follow this recommendation in their specifications when applicable.
> -------------------------------------------------------------------------
>
>
>
>

---

From: "Bertz, Lyle T [CTO]" <[email-masked]>
Date: Mon, 19 Sep 2016 12:43:52 +0000

This looks fine.

From: DiME [mailto:[email-masked]] On Behalf Of jouni korhonen
Sent: Friday, September 16, 2016 3:47 PM
To: [email-masked]
Subject: Re: [Dime] draft reply LS to 3GPP SA5 on RFC 4006..

Folks,

As a reminder, the IETF RFC 6733 does not define a new Diameter base protocol
but is a new version of the specification defining the Diameter base protocol.
The IETF RFC 3588 is obsoleted by the IETF RFC 6733, as defined in the IETF
RFC 2223:

   Obsoleted-by

On Fri, Aug 5, 2016 at 10:41 AM, Jouni Korhonen <[email-masked]<mailto:[email-masked]>> wrote:
Folks,

Lionel and I have been drafting a reply LS to 3GPP SA5 (and CC CT3/CT4). This is the current draft. Comments are welcome. One question is (Lionel favours, I disagree ;) whether we should repeat the two questions 3GPP asked from us or assume they can look it up from the origial LS.

- Jouni & Lionel

-------------------------------------------------------------------------
The IETF DIME WG thanks the 3GPP SA5 WG for their LS and query regarding the IETF RFC 4006 (https://datatracker.ietf.org/liaison/1470/).

The IETF DIME WG has discussed both options raised in the LS from 3GPP SA5 and the decision was made to update of the IETF RFC 4006 (the option 1). The aim of this update is to align the Diameter Credit-Control application specification with the IETF RFC 6733, fix existing known issues in the current specification and comply with the recommendations given in the IETF RFC 7423 on the design of Diameter application. The time line for the completion of the RFC 4006 update is set to November 2017.

As a reminder, the IETF RFC 3588 does not define a new Diameter base protocol but is a new version of the specification defining the Diameter base protocol. The IETF RFC 3588 is obsoleted by the IETF RFC 6733, as defined in the IETF RFC 2223:

   Obsoleted-by

In the present case, any document using the IETF RFC 3588 as reference for the Diameter base protocol should be updated to refer to the new IETF RFC 6733. Therefore, as a general guideline, the IETF DIME WG recommends 3GPP WGs to follow this recommendation in their specifications when applicable.
-------------------------------------------------------------------------

________________________________

This e-mail may contain Sprint proprietary information intended for the sole use of the recipient(s). Any use by others is prohibited. If you are not the intended recipient, please contact the sender and delete all copies of the message.

---

From: Jouni <[email-masked]>
Date: Mon, 19 Sep 2016 10:46:59 -0700

Everybody happy with the text?

- Jouni

> On 16 Sep 2016, at 13:47, jouni korhonen <[email-masked]> wrote:
> 
> Folks,
> 
> On Fri, Aug 5, 2016 at 10:41 AM, Jouni Korhonen <[email-masked]> wrote:
> Folks,
>

---

From: <[email-masked]>
Date: Mon, 19 Sep 2016 18:59:01 +0000

I'm fine too.

Lionel

> -----Message d'origine-----
> De : DiME [mailto:[email-masked]] De la part de Jouni
> Envoyé : lundi 19 septembre 2016 19:47
> À : [email-masked]
> Objet : Re: [Dime] draft reply LS to 3GPP SA5 on RFC 4006..
> 
> > ----------------------------------------------------------------------
> > --------- The IETF DIME WG thanks the 3GPP SA5 WG for their LS and
> > query regarding the IETF RFC 4006
> > (https://datatracker.ietf.org/liaison/1470/).
> >
> > option 1). The aim of this update is to align the Diameter
> > Credit-Control application specification with the IETF RFC 6733, fix
> > existing known issues in the current specification and comply with the
> > recommendations given in the IETF RFC 7423 on the design of Diameter
> > application. The time line for the completion of the RFC 4006 update is set to
> November 2017.
> >
> > protocol but is a new version of the specification defining the Diameter base
> protocol.
> > The IETF RFC 3588 is obsoleted by the IETF RFC 6733, as defined in the
> > IETF RFC 2223:
> >
> >    Obsoleted-by
> >
> > In the present case, any document using the IETF RFC 3588 as reference
> > for the Diameter base protocol should be updated to refer to the new
> > IETF RFC 6733. Therefore, as a general guideline, the IETF DIME WG
> > recommends 3GPP WGs to follow this recommendation in their specifications
> when applicable.
> > The same recommendation will apply for the revision of the IETF RFC
> > 4006 when published by the IETF as for any new RFC obsoleting an old RFC.
> > Lionel and I have been drafting a reply LS to 3GPP SA5 (and CC CT3/CT4). This
> is the current draft. Comments are welcome. One question is (Lionel favours, I
> disagree ;) whether we should repeat the two questions 3GPP asked from us or
> assume they can look it up from the origial LS.
> >
> > - Jouni & Lionel
> >
> > ----------------------------------------------------------------------
> > --- The IETF DIME WG thanks the 3GPP SA5 WG for their LS and query
> > regarding the IETF RFC 4006 (https://datatracker.ietf.org/liaison/1470/).
> >
> and the decision was made to update of the IETF RFC 4006 (the option 1). The
> aim of this update is to align the Diameter Credit-Control application
> specification with the IETF RFC 6733, fix existing known issues in the current
> specification and comply with the recommendations given in the IETF RFC 7423
> on the design of Diameter application. The time line for the completion of the
> RFC 4006 update is set to November 2017.
> >
> protocol but is a new version of the specification defining the Diameter base
> protocol. The IETF RFC 3588 is obsoleted by the IETF RFC 6733, as defined in the
> IETF RFC 2223:
> >
> >    Obsoleted-by
> >
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Dave Dolson <[email-masked]>
Date: Mon, 19 Sep 2016 19:21:15 +0000

+1

-----Original Message-----
From: DiME [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, September 19, 2016 2:59 PM
To: Jouni; [email-masked]
Subject: Re: [Dime] draft reply LS to 3GPP SA5 on RFC 4006..

I'm fine too.

Lionel

> > ---------
> > ---

---

From: jouni korhonen <[email-masked]>
Date: Mon, 19 Sep 2016 12:49:22 -0700

Ok. I think we can move forward send this reply to 3GPP.

- Jouni